Handle verse links
Status: Closed Start date: 04/18/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 04/21/2020 09:40 PM - Luke Murphey

https://fortes.com/2018/react-and-dom-events/

https://www.freecodecamp.org/forum/t/react-add-event-listener/201983

https://react-cn.github.io/react/tips/dom-event-listeners.html

https://stackoverflow.com/questions/36180414/reactjs-add-custom-event-listener-to-component

#2 - 04/22/2020 04:23 AM - Luke Murphey

Qs:

How I limit the adding of the handlers to the current component?

https://developer.mozilla.org/en-US/docs/Web/API/Element/getElementsByClassName

How do I get the list of verses?

https://www.w3schools.com/jsref/met_document_getelementsbyclassname.asp

Solns:

Manual event handlers

#3 - 04/22/2020 05:07 AM - Luke Murphey

Handlers are setup, I just need to change the style to selected.

#4 - 04/24/2020 06:07 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 80

#5 - 04/26/2020 03:58 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
